Package org.drinkless.tdlib

# Class TdApi.SuggestedPostInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SuggestedPostInfo

Enclosing class:
  `TdApi`

public static class TdApi.SuggestedPostInfo extends TdApi.Object
Contains information about a suggested post. If the post can be approved or declined, then changes to the post can be also suggested. Use sendMessage with reply to the message and suggested post information to suggest message changes. Use addOffer to suggest price or time changes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeApproved`
  True, if the suggested post can be approved by the current user using approveSuggestedPost; updates aren't sent when value of this field changes.
  `boolean`
  `canBeDeclined`
  True, if the suggested post can be declined by the current user using declineSuggestedPost; updates aren't sent when value of this field changes.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SuggestedPostPrice`
  `price`
  Price of the suggested post; may be null if the post is non-paid.
  `int`
  `sendDate`
  Point in time (Unix timestamp) when the post is expected to be published; 0 if the specific date isn't set yet.
  `TdApi.SuggestedPostState`
  `state`
  State of the post.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestedPostInfo()`
  Contains information about a suggested post.
  `SuggestedPostInfo(TdApi.SuggestedPostPrice price, int sendDate, TdApi.SuggestedPostState state, boolean canBeApproved, boolean canBeDeclined)`
  Contains information about a suggested post.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### price

    @Nullable public TdApi.SuggestedPostPrice price
    Price of the suggested post; may be null if the post is non-paid.

  - ### sendDate

    public int sendDate
    Point in time (Unix timestamp) when the post is expected to be published; 0 if the specific date isn't set yet.

  - ### state

    public TdApi.SuggestedPostState state
    State of the post.

  - ### canBeApproved

    public boolean canBeApproved
    True, if the suggested post can be approved by the current user using approveSuggestedPost; updates aren't sent when value of this field changes.

  - ### canBeDeclined

    public boolean canBeDeclined
    True, if the suggested post can be declined by the current user using declineSuggestedPost; updates aren't sent when value of this field changes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SuggestedPostInfo

    public SuggestedPostInfo()
    Contains information about a suggested post. If the post can be approved or declined, then changes to the post can be also suggested. Use sendMessage with reply to the message and suggested post information to suggest message changes. Use addOffer to suggest price or time changes.

  - ### SuggestedPostInfo

    public SuggestedPostInfo(TdApi.SuggestedPostPrice price, int sendDate, TdApi.SuggestedPostState state, boolean canBeApproved, boolean canBeDeclined)
    Contains information about a suggested post. If the post can be approved or declined, then changes to the post can be also suggested. Use sendMessage with reply to the message and suggested post information to suggest message changes. Use addOffer to suggest price or time changes.
    Parameters:
      `price` - Price of the suggested post; may be null if the post is non-paid.
      `sendDate` - Point in time (Unix timestamp) when the post is expected to be published; 0 if the specific date isn't set yet.
      `state` - State of the post.
      `canBeApproved` - True, if the suggested post can be approved by the current user using approveSuggestedPost; updates aren't sent when value of this field changes.
      `canBeDeclined` - True, if the suggested post can be declined by the current user using declineSuggestedPost; updates aren't sent when value of this field changes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR